[B023] Clinical trial related entity

get
https://connect.patsnap.com/synapse/clinical-trial/related-entity
Try in Sandbox

Obtain clinical trial related entity through clinical trial id or registry number

One of the parameters clinical_trial_id and register_number must be passed

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical trial id, obtain this through clinical trial search interface
register_number
stringNCT06498986
register number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
target
array[ { "target_id": "928facc8122849baa0dc00759cff0380", "short_name": [ { "lang": "EN", "name": "KRAS G12C" } ], "display_name": [ { "lang": "EN", "name": "GTPase KRas G12C" }, { "lang": "CN", "name": "KRAS G12C突变" } ] } ]
Targets
target_id
string1c2067e5ab054a8995f73efcfcf56207
Target ID
short_name
array[ { "lang": "EN", "name": "VEGF" } ]
Target Short Name, Referencing "CommonName"
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
display_name
array[ { "lang": "EN", "name": "Vascular endothelial growth factor" }, { "lang": "CN", "name": "血管内皮生长因子" } ]
Target Full Name, Referencing "CommonName"
condition
array[ "Non-small Cell Lung Cancer" ]
Original indications
control_drug
array[ { "drug_id": "79c4211933534056b4a84db1766df362", "display_name": [ { "lang": "EN", "name": "Osimertinib mesylate" }, { "lang": "CN", "name": "甲磺酸奥希替尼" } ] } ]
Control Drug
drug_id
stringe82b83b42eba4e5ea3f26f8e06081a5a
Drug ID
display_name
array[ { "lang": "EN", "name": "Ranibizumab (Genentech)" }, { "lang": "CN", "name": "雷珠单抗" } ]
Drug Name, Referencing "CommonName"
organization
array[ { "display_name": [ { "lang": "EN", "name": "Sichuan Baili Pharmaceuticals Co.,Ltd" }, { "lang": "CN", "name": "四川百利药业有限责任公司" } ], "organization_id": "685e5cad5351555103932a4c484281c2" } ]
Sponsor/Collaborator
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
register_number
stringNCT06498986
Trial Number
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical Trial ID
condition_disease
array[ { "disease_id": "6c9886cb25eb45faba70292cee1f5518", "display_name": [ { "lang": "EN", "name": "Locally Advanced Lung Non-Small Cell Carcinoma" }, { "lang": "CN", "name": "局部晚期非小细胞肺癌" } ] } ]
Indications
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
main_experimentation_drug
array[ { "drug_id": "79c4211933534056b4a84db1766df362", "display_name": [ { "lang": "EN", "name": "Osimertinib mesylate" }, { "lang": "CN", "name": "甲磺酸奥希替尼" } ] } ]
Experimental Drug
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "target": [
      {
        "target_id": "1c2067e5ab054a8995f73efcfcf56207",
        "short_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ],
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "condition": [
      "Non-small Cell Lung Cancer"
    ],
    "control_drug": [
      {
        "drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "organization": [
      {
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ],
        "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
      }
    ],
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53",
    "condition_disease": [
      {
        "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "main_experimentation_drug": [
      {
        "drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found